local Tinkr, Vision = ...

local Timer = Vision.Timer

local TimeManager = {
    timers = {},
}

TimeManager.__index = TimeManager

-- Constructor
---@return TimeManager
function TimeManager:New()
    local self = setmetatable({}, TimeManager)
    self.timers = {}
end

function TimeManager:GetTimer(label, start_events, reset_events)
    if self.timers[label] == nil then
        self.timers[label] = Timer:New(label, start_events, reset_events)
    else
        return self.timers[label]
    end
end